import { TABLE_NAME } from 'src/core/strings/constants/table.constants';
import { SeasonTypeEntity } from '../../domain/entities/season-type.entity';
import { Column, Entity } from 'typeorm';
import { BaseStatusModel } from 'src/core/modules/data/model/base-status.model';

@Entity(TABLE_NAME.SEASON_TYPE)
export class SeasonTypeModel
  extends BaseStatusModel<SeasonTypeEntity>
  implements SeasonTypeEntity
{
  @Column('varchar', { name: 'name' })
  name: string;
}
